org.omg.CORBA

## Class _PolicyStub

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA._PolicyStub

All Implemented Interfaces:
  Serializable, Object, Policy, PolicyOperations, IDLEntity

    public class _PolicyStub
    extends ObjectImpl
    implements Policy

The Stub for `Policy`. For more information on Stub files, see "Generated Files: Stubs".

org/omg/CORBA/_PolicyStub.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ../../../../../src/share/classes/org/omg/PortableServer/corba.idl. Saturday, July 17, 1999 12:26:20 AM PDT

### Constructor Summary

Constructors
Constructor and Description
`_PolicyStub()` Constructors NOTE: If the default constructor is used, the object is useless until _set_delegate (...) is called.
`_PolicyStub(Delegate delegate)` Constructs a `_PolicyStub` object initialized with the given `Delegate` object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
`Policy` `copy()` Copies the policy object.
`void` `destroy()` Destroys the policy object.
`int` `policy_type()` Returns the constant value that corresponds to the type of the policy object.

### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

### Constructor Detail

#### _PolicyStub

    public _PolicyStub()

Constructors NOTE: If the default constructor is used, the object is useless until _set_delegate (...) is called.

#### _PolicyStub

    public _PolicyStub(Delegate delegate)

Constructs a `_PolicyStub` object initialized with the given `Delegate` object.

Parameters:
  `delegate` - a Delegate Object

### Method Detail

#### policy_type

    public int policy_type()

Returns the constant value that corresponds to the type of the policy object. The values of the polivy objectys are allocated by the OMG. New values for PolicyType should be obtained from the OMG by sending mail to request@omg.org. In general the constant values that are allocated are defined in conjunction with the definition of the corresponding policy object.

Specified by:
  `policy_type` in interface `PolicyOperations`
Returns:
  the constant value that corresponds to the type of the policy object.

#### copy

    public Policy copy()

Copies the policy object. The copy does not retain any relationships that the policy had with any domain or object.

Specified by:
  `copy` in interface `PolicyOperations`
Returns:
  the copy of the policy object.

#### destroy

    public void destroy()

Destroys the policy object. It is the responsibility of the policy object to determine whether it can be destroyed.

Specified by:
  `destroy` in interface `PolicyOperations`

#### _ids

    public String[] _ids()

Description copied from class: `ObjectImpl`
Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.

Specified by:
  `_ids` in class `ObjectImpl`
Returns:
  the array of all repository identifiers supported by this `ObjectImpl` instance